Subject: Re: bug#36311: doc: Add subsection and note about environment variables.
From: Simon Tournier <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: swedebugia <[email-masked]>, [email-masked], Nicolas Goaziou <[email-masked]>
Date: Fri, 21 Feb 2025 22:55:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

For reference: https://issues.guix.gnu.org/issue/36311

On Fri, 01 Sep 2023 at 23:02, Maxim Cournoyer <[email-masked]> wrote:

>> From: swedebugia <[email-masked]>
>> Date: Thu, 20 Jun 2019 18:02:16 +0200
>> Subject: [PATCH] doc: Add subsection and note about environment variables.
>>
>> * doc/guix.texi (Binary Installation and Application Setup): Clarify the
>>   importance of correct environment variables.
>
> [...]
>
>> +@subsection Importance of environment variables
>> +@cindex environment variables
>> +Environment variables in the correct place are essential to the correct
>> +operation of guix in a foreign system.
>> +
>> +Following the installation we recommend putting all environment variables into
>> + @file{~.bash_profile} to make sure they are only executed when your login to
>> + a shell (ie. open up a virtual terminal).
>> +
>> +If you use bash and put them into @file{.bashrc} you will end up with errors
>> +because this file is executed by bash EVERY time a new environment is entered
>> +(e.g. when entering a pure environment with @command{guix environment guix
>> +--pure} and contaminate the environment).
>
> I think this is maybe no longer as necessary, since we now have 'guix
> shell --check' that will produce this kind of recommendation?

This question is still pending since 1 year, 24 weeks, 5 days… Too much
suspense! ;-)

I’m closing.  Feel free to reopen if I’m missing something.

Cheers,
simon